[
  {
    "chunk_id": 2,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'ParametersDataset' definition for report 'FunctionsReport'. Contains 4 fields: required, description, name, type. Contains 0 parameters: none. Query language: sql",
    "raw_xml": "<dataset name=\"ParametersDataset\" uuid=\"8eb8c0e1-00a2-43f4-b349-cad63af66148\">\n\t\t<property name=\"com.jaspersoft.studio.data.defaultdataadapter\" value=\"One Empty Record\" />\n\t\t<query language=\"sql\" />\n\t\t<field name=\"required\" class=\"java.lang.Boolean\" />\n\t\t<field name=\"description\" class=\"java.lang.String\" />\n\t\t<field name=\"name\" class=\"java.lang.String\" />\n\t\t<field name=\"type\" class=\"java.lang.Class\" />\n\t</dataset>\n\t",
    "context": "Report 'FunctionsReport' dataset 'ParametersDataset'",
    "metadata": {
      "dataset_name": "ParametersDataset",
      "field_names": [
        "required",
        "description",
        "name",
        "type"
      ],
      "parameter_names": [],
      "query": "",
      "query_language": "sql",
      "properties": {
        "com.jaspersoft.studio.data.defaultdataadapter": "One Empty Record"
      }
    }
  },
  {
    "chunk_id": 2,
    "chunk_type": "dataset",
    "human_description": "This is dataset 'ParametersDataset' definition for report 'FunctionsReport'. Contains 4 fields: required, description, name, type. Contains 0 parameters: none. Query language: sql",
    "raw_xml": "<dataset name=\"ParametersDataset\" uuid=\"8eb8c0e1-00a2-43f4-b349-cad63af66148\">\n\t\t<property name=\"com.jaspersoft.studio.data.defaultdataadapter\" value=\"One Empty Record\" />\n\t\t<query language=\"sql\" />\n\t\t<field name=\"required\" class=\"java.lang.Boolean\" />\n\t\t<field name=\"description\" class=\"java.lang.String\" />\n\t\t<field name=\"name\" class=\"java.lang.String\" />\n\t\t<field name=\"type\" class=\"java.lang.Class\" />\n\t</dataset>\n\t",
    "context": "Report 'FunctionsReport' dataset 'ParametersDataset'",
    "metadata": {
      "dataset_name": "ParametersDataset",
      "field_names": [
        "required",
        "description",
        "name",
        "type"
      ],
      "parameter_names": [],
      "query": "",
      "query_language": "sql",
      "properties": {
        "com.jaspersoft.studio.data.defaultdataadapter": "One Empty Record"
      }
    }
  }
]